How to fix phpmyadmin – cannot load mcrypt extension ?

You may get the below phpMyAdmin error for a couple different reasons which could be related to upgrading PHP or possibly on a new installation of phpMyAdmin. The issue can be resolved easily by installing or upgrading mcrypt on your server.

phpmyadmin-mcrypt-error

Error:Cannot load mcrypt extension. Please check your PHP configuration.

If you receive this error simply login to your server, which in this case was a 5.2 CentOS server, and install or upgrade mcrypt using the yum package manager. The package that needs to be installed for mcrypt to work properly with phpMyAdmin is php-mcrypt.

Install/Upgrade mcrypt:

  • yum php yüklemek-mbstring //For Centos
  • sudo install php-mbstring //For Ubuntu

cannot load mcrypt extension 2

The versions need to match as shown above so if they do not match this should be the first place to start troubleshooting.

sudo /etc/init.d/httpd restart

En sonunda, refresh to check its working.

Cevap bırakın

Bu site spam azaltmak için Akismet kullanır. Yorumunuz verileri işlenirken öğrenin.

Size en iyi online deneyimi sunmak için çerezleri kullanır. kabul ederek bizim çerez politikası uyarınca çerez kullanımını kabul.